org.apache.felix.bundlerepository.impl

## Class ObrURLStreamHandlerService

- java.lang.Object
- - java.net.URLStreamHandler
  - - org.osgi.service.url.AbstractURLStreamHandlerService
    - - org.apache.felix.bundlerepository.impl.ObrURLStreamHandlerService

All Implemented Interfaces:
  org.osgi.service.url.URLStreamHandlerService

    public class ObrURLStreamHandlerService
    extends org.osgi.service.url.AbstractURLStreamHandlerService

Simple `URLStreamHandler` which is able to handle obr urls. The urls must be conform the following schema: obr://<symbolicName>/<timeStamp> Example: obr://org.apache.felix.javax.servlet/1240305961998 Update to the bundle is done

### Field Summary

Fields
`static java.lang.String` `OBR_UPDATE_STRATEGY` Property defining the obr update strategy

### Fields inherited from class org.osgi.service.url.AbstractURLStreamHandlerService

`realHandler`

### Constructor Summary

Constructors
Constructor and Description
`ObrURLStreamHandlerService(org.osgi.framework.BundleContext context, RepositoryAdmin admin)` Constructor

### Method Summary

Methods
`java.net.URLConnection` `openConnection(java.net.URL u)` This implementation looks up the bundle with the given url set as location String within the current `BundleContext`.

### Methods inherited from class org.osgi.service.url.AbstractURLStreamHandlerService

`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, parseURL, sameFile, setURL, setURL, toExternalForm`

### Methods inherited from class java.net.URLStreamHandler

`openConnection, parseURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OBR_UPDATE_STRATEGY

    public static final java.lang.String OBR_UPDATE_STRATEGY

Property defining the obr update strategy

See Also:
  Constant Field Values

### Constructor Detail

#### ObrURLStreamHandlerService

    public ObrURLStreamHandlerService(org.osgi.framework.BundleContext context,
                              RepositoryAdmin admin)

Constructor

Parameters:
  `context` - context to use
  `admin` - admin to use

### Method Detail

#### openConnection

    public java.net.URLConnection openConnection(java.net.URL u)
                                          throws java.io.IOException

This implementation looks up the bundle with the given url set as location String within the current `BundleContext`. The real url for this bundle is determined afterwards via the `RepositoryAdmin`.

Specified by:
  `openConnection` in interface `org.osgi.service.url.URLStreamHandlerService`
Specified by:
  `openConnection` in class `org.osgi.service.url.AbstractURLStreamHandlerService`
Throws:
  `java.io.IOException`